package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.StationInfoMin2;
import com.ruoyi.ucp.mapper.StationInfoMin2Mapper;
import com.ruoyi.ucp.service.IStationInfoMin2Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-11-08
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class StationInfoMin2ServiceImpl extends ServiceImpl<StationInfoMin2Mapper, StationInfoMin2> implements IStationInfoMin2Service {
    @Override
    public StationInfoMin2 getOne(Wrapper<StationInfoMin2> queryWrapper, boolean throwEx) {
        return super.getOne(queryWrapper, throwEx);
    }

    @Override
    public boolean saveOrUpdate(StationInfoMin2 entity) {
        return super.saveOrUpdate(entity);
    }

    @Override
    public List<StationInfoMin2> list(Wrapper<StationInfoMin2> queryWrapper) {
        return super.list(queryWrapper);
    }

    @Override
    public boolean save(StationInfoMin2 entity) {
        return super.save(entity);
    }
}
